Skip to main content

Delete manual threshold

DELETE

Soft-deletes a manual threshold in the caller's environment.

Path parameters

ParameterTypeDescription
idstringRequired manual threshold identifier returned by create or list operations

Response

  • 200 OK

The response returns the deleted manual threshold together with deletedAt.

FieldTypeDescription
idstringManual threshold identifier
targetobjectThreshold target
modestringThreshold mode
boundsobjectThreshold bounds
createdAtISO 8601 datetimeCreation timestamp
updatedAtISO 8601 datetimeTimestamp updated as part of the delete operation
deletedAtISO 8601 datetimeTimestamp when the threshold was soft-deleted
{
"id": "64b64b64b64b64b64b64b64b",
"target": {
"statTypeId": "11111111-1111-1111-1111-111111111111"
},
"mode": "CAPPED",
"bounds": {
"upper": 10,
"lower": 20
},
"createdAt": "2025-01-02T00:00:00.000Z",
"updatedAt": "2025-01-03T00:00:00.000Z",
"deletedAt": "2025-01-03T00:00:00.000Z"
}

Errors

  • 400: invalid threshold identifier
  • 401: unauthorized
  • 403: forbidden
  • 404: manual threshold not found

Examples

  • DELETE /v1/ad/manual-thresholds/64b64b64b64b64b64b64b64b